"""new action for WS-level qa-pass work

Revision ID: d9caa9497091
Revises: 5f2672e2233d
Create Date: 2021-11-03 14:58:45.006486

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "d9caa9497091"
down_revision = "5f2672e2233d"
branch_labels = None
depends_on = None


def upgrade():
    new_qa_pass_action_sql = """
    insert into capability_state_actions (transition_id, action_type, arguments)
    select transition_id, 'QaPass', null as arguments
    from capability_state_transitions where pattern = 'type == qa-pass'
    """

    op.execute(new_qa_pass_action_sql)


def downgrade():
    op.execute("DELETE FROM capability_state_actions WHERE action_type = 'QaPass'")
